$Title Sets Definition
$ontext
--------------------------------------------------------------------------------
------------------------------ General Header ----------------------------------
--------------------------------------------------------------------------------
         SAM disaggregation in load blocks
         Renato Rodrigues
         Instituto de Investigacin Tecnolgica
         Date: 11, oct, 2011
--------------------------------------------------------------------------------
--------------------------- End of General Header ------------------------------
--------------------------------------------------------------------------------
$offtext

*---------Declaration of auxiliary file-------
file TMPx /tmpx.txt/
put TMPx  putclose
                         'par=report_scalar rng=hoja1!B2' /
                         'par=report_vector rng=hoja2!B2' /
                         'par=report_two_dimensions rng=hoja3!B2' /
                         'par=report_three_dimensions rng=hoja4!B2' /
                         'par=report_four_dimensions rng=hoja5!B2' /
                         'par=report_six_dimensions rng=hoja6!B2'

*---------GAMs loading data-------------------
execute_unload "results.gdx"

*---------GAMs loading data-------------------
execute        'gdxxrw.exe results.gdx o="Output_Model_%Model%_%Load_Block_Aggregation%_%Years_Simulated%_Electricity_results_comparison.xlsx" SQ=n Squeeze=0 EpsOut=0 @tmpx.txt'

*---------Deleting Auxiliary Files--
execute 'del tmpx.txt results.gdx';

